curl --request GET \
--url https://api.dfns.io/permissions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"operations": [
"<string>"
],
"status": "Active",
"isImmutable": true,
"isArchived": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"dateUpdated": "2023-04-14T20:41:28.715Z",
"pendingChangeRequest": {
"id": "cr-6uunn-bm6ja-f6rmod5kqrk5rbel",
"requester": {
"userId": "<string>",
"tokenId": "<string>",
"appId": "<string>"
},
"status": "Applied",
"entityId": "<string>",
"dateCreated": "2023-04-14T20:41:28.715Z",
"kind": "Permission",
"operationKind": "Update",
"body": {
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"status": "Active",
"operations": [
"<string>"
],
"isImmutable": true,
"isArchived": true
},
"dateResolved": "2023-04-14T20:41:28.715Z",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0"
}
}
],
"nextPageToken": "<string>"
}Lists all permissions (roles) in the organization.
curl --request GET \
--url https://api.dfns.io/permissions \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"operations": [
"<string>"
],
"status": "Active",
"isImmutable": true,
"isArchived": true,
"dateCreated": "2023-04-14T20:41:28.715Z",
"dateUpdated": "2023-04-14T20:41:28.715Z",
"pendingChangeRequest": {
"id": "cr-6uunn-bm6ja-f6rmod5kqrk5rbel",
"requester": {
"userId": "<string>",
"tokenId": "<string>",
"appId": "<string>"
},
"status": "Applied",
"entityId": "<string>",
"dateCreated": "2023-04-14T20:41:28.715Z",
"kind": "Permission",
"operationKind": "Update",
"body": {
"id": "pm-37vj4-jkr4l-lc9945spfftkne57",
"name": "<string>",
"status": "Active",
"operations": [
"<string>"
],
"isImmutable": true,
"isArchived": true
},
"dateResolved": "2023-04-14T20:41:28.715Z",
"approvalId": "ap-2a9in-tt2a1-983lho480p35ejd0"
}
}
],
"nextPageToken": "<string>"
}CustomerEmployee)EndUser)Permissions:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Maximum number of items to return.
1 <= x <= 500Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.
1Was this page helpful?